## click 0.4.38.5

=== debian/changelog ===
click (0.4.38.5) vivid; urgency=medium

  [ Sebastien Bacher ]
  * Don't try to replace initctl if it's not there (lp: #1430436)

 -- CI Train Bot <ci-train-bot@canonical.com>  Tue, 10 Mar 2015 18:52:17 +0000

click (0.4.38.4) vivid; urgency=low

  [ Michael Vogt ]
  * lp:~mvo/click/lp1232130-kill-on-remove-2:
    - When uninstalling a app, stop it if its running (LP: #1232130)
  * lp:~mvo/click/dont-crash-for-empty-db:
    - Do not crash when no database configuration is used and
      Click.DB.{get,props.overlay,gc,ensure_ownership} are called.
  * lp:~mvo/click/lp1219912-build-exclude:
    - add a new --ignore option to click {build,buildsource}
      (LP: #1219912)
  * lp:~mvo/click/fix-multiple-framework-validation:
    - fix framework validation for snappy
  * run debian/packagekit-check with "sh" as something in jenkins
    made it mode 0644

  [ CI Train Bot ]
  * New rebuild forced.

 -- CI Train Bot <ci-train-bot@canonical.com>  Thu, 26 Feb 2015 17:07:09 +0000

click (0.4.37) vivid; urgency=low

  [ Michael Vogt ]
  * lp:~mvo/click/no-error-no-missing-systemctl:
    - fix a spurious error message on systems without systemctl
  * lp:~mvo/click/do-not-crash-in-build-on-broken-symlinks:
    - do not crash when building a click package that contains broken
      symlinks
  * lp:~mvo/click/dpkg-less-verbose:
    - do not show dpkg output on install unless --verbose is used
  * lp:~mvo/click/lp1394256-run-user-hooks:
    - ensures that click user hooks are run for all logged in users when
      click is used with "--all-users".
  * lp:~mvo/click/qt5-qmake-cross-armhf:
    - add qt5-qmake-arm-linux-gnueabihf to chroot (LP: #1393698)
  * lp:~mvo/click/chroot-15.04-multiarch:
    - add ubuntu-sdk-libs-tools and oxide-codecs-extra to the chroot
  * lp:~mvo/click/lp1394256-run-user-hooks-on-remove-too:
    - Run the click remove user hooks for all logged in users.
  * click/chroot.py:
    - use string.format() for chroot TARGET selection
  * skip 0.4.36 version and go straight to 0.4.37 (LP: #1418086)

  [ Zoltan Balogh ]
  * lp:~bzoltan/click/vivid-transition_mirrors:
    - use geoip to guess the most suitable country mirror when creating
      the click chroot

 -- CI Train Bot <ci-train-bot@canonical.com>  Fri, 13 Feb 2015 14:46:34 +0000

click (0.4.35) vivid; urgency=low

  [ Michael Vogt ]
  * lp:~mvo/click/add-run-shm:
    - Ensure /run/shm is available in a click chroot
  * lp:~mvo/click/ubuntu-core-framework:
    - Add "ubuntu-core-15.04-dev1" click chroot

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 14 Nov 2014 12:29:14 +0000

click (0.4.34.2) vivid; urgency=medium

  [ Michael Vogt ]
  * Demote ubuntu-app-launch-tools from a click recommends to a suggests,
    since they are not needed on server installs.
  * Use dh-systemd to enable click system and user hook integration
    (LP: #1379657).
  * add ubuntu-sdk-15.04 based on ubuntu-sdk-libs/ubuntu-sdk-libs-dev
  * click/tests/preload.h:
    - replace deprecated "Attributes:" with annotations on the
      identifier
  * click/tests/Makefile.am:
    - add --libtool to g-ir-scanner so that it uses the generated
      libtool instead of the system libtool which is now part of
      the libtool-bin package in vivid

  [ Colin Watson ]
  * Make "click info" always try opening the input file as a package and
    only try to interpret it as a file in an installed package if that
    fails, rather than guessing by the input file extension.
  * Allow "click chroot install" and "click chroot upgrade" to operate on
    sessions.
  
  [ David Planella ]
  * Adds internationalization tools and CMake macros required by the
    new Qt Creator app and scope templates that provide internationalization
    code.

  [ Pete Woods ]
  * Include Canonical's cmake-extras project in the schroot.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 03 Nov 2014 12:49:25 +0000

=== debian/control ===
Source: click
Section: admin
Priority: optional
Maintainer: Colin Watson <cjwatson@ubuntu.com>
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 9~), dh-autoreconf, intltool, python3:any (>= 3.2), python3-all:any, python3-setuptools, python3-apt, python3-debian, python3-gi, python3:any (>= 3.3) | python3-mock, pep8, python3-pep8, pyflakes, python3-sphinx, pkg-config, valac, gobject-introspection (>= 0.6.7), libgirepository1.0-dev (>= 0.6.7), libglib2.0-dev (>= 2.34), gir1.2-glib-2.0, libjson-glib-dev (>= 0.10), libgee-0.8-dev, libpackagekit-glib2-dev (>= 0.7.2), python3-coverage, python3-six, dh-systemd (>= 1.3)
Vcs-Bzr: https://code.launchpad.net/~ubuntu-managed-branches/click/click
Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-managed-branches/click/click/files
X-Auto-Uploader: no-rewrite-version
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.2
XS-Testsuite: autopkgtest

Package: click
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, python3-click (= ${binary:Version}), adduser
Recommends: click-apparmor
Suggests: click-reviewers-tools (>= 0.9), ubuntu-app-launch-tools | upstart-app-launch-tools
Conflicts: click-package
Replaces: click-package
Provides: click-package
Description: Click packages
 Click is a simplified packaging format that installs in a separate part of
 the file system, suitable for third-party applications.
 .
 This package provides common files, including the main click program.

Package: click-dev
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${perl:Depends}, python3-click (= ${binary:Version})
Recommends: debootstrap, schroot, dpkg-dev
Description: build Click packages
 Click is a simplified packaging format that installs in a separate part of
 the file system, suitable for third-party applications.
 .
 click-dev provides support for building these packages.

Package: python3-click
Section: python
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, gir1.2-click-0.4 (= ${binary:Version}), gir1.2-glib-2.0, python3-apt, python3-debian, python3-gi
Conflicts: python3-click-package
Replaces: python3-click-package
Provides: python3-click-package
Description: Click packages (Python 3 interface)
 Click is a simplified packaging format that installs in a separate part of
 the file system, suitable for third-party applications.
 .
 This package provides Python 3 modules used by click, which may also be
 used directly.

Package: libclick-0.4-0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: run-time Click package management library
 Click is a simplified packaging format that installs in a separate part of
 the file system, suitable for third-party applications.
 .
 This package provides a shared library for managing Click packages.

Package: libclick-0.4-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, libclick-0.4-0 (= ${binary:Version}), libglib2.0-dev, libjson-glib-dev
Description: development files for Click package management library
 Click is a simplified packaging format that installs in a separate part of
 the file system, suitable for third-party applications.
 .
 This package provides development files needed to build programs for
 managing Click packages.

Package: gir1.2-click-0.4
Section: introspection
Architecture: any
Depends: ${misc:Depends}, ${gir:Depends}, libclick-0.4-0 (= ${binary:Version})
Description: GIR bindings for Click package management library
 Click is a simplified packaging format that installs in a separate part of
 the file system, suitable for third-party applications.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.

Package: click-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Conflicts: click-package-doc
Replaces: click-package-doc
Provides: click-package-doc
Description: Click packages (documentation)
 Click is a simplified packaging format that installs in a separate part of
 the file system, suitable for third-party applications.
 .
 This package provides documentation for click.

Package: packagekit-plugin-click
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, click (= ${binary:Version})
Description: Click packages (PackageKit plugin)
 Click is a simplified packaging format that installs in a separate part of
 the file system, suitable for third-party applications.
 .
 This package provides a PackageKit plugin adding support for Click
 packages.

## click 0.4.38.5ubuntu0.2

=== debian/changelog ===
click (0.4.38.5ubuntu0.2) vivid-security; urgency=medium

  * SECURITY UPDATE: fix privilege escalation via crafted data.tar.gz that
    can be used to install alternate security policy than what is defined
    - click/install.py: Forbid installing packages with data tarball members
      whose names do not start with "./". Patch thanks to Colin Watson.
    - CVE-2015-XXXX
    - LP: #1506467

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 15 Oct 2015 10:00:20 -0500

## click 0.4.39.1+15.10.20150702

=== debian/changelog ===
click (0.4.39.1+15.10.20150702-0ubuntu2) wily; urgency=medium

  * SECURITY UPDATE: fix privilege escalation via crafted data.tar.gz that
    can be used to install alternate security policy than what is defined
    - click/install.py: Forbid installing packages with data tarball members
      whose names do not start with "./". Patch thanks to Colin Watson.
    - CVE-2015-XXXX
    - LP: #1506467

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 15 Oct 2015 09:16:17 -0500

click (0.4.39.1+15.10.20150702-0ubuntu1) wily; urgency=medium

  [ Michael Vogt ]
  * lp:~mvo/click/lp1456328-15.10-devlibs:
    - add ubuntu-sdk-15.10-dev1
    - remove ubuntu-core-15.04-dev1

 -- CI Train Bot <ci-train-bot@canonical.com>  Thu, 02 Jul 2015 11:43:15 +0000

click (0.4.39) vivid; urgency=low

  [ Marco Trevisan (Treviño) ]
  * handle "IP NOT FOUND" error (LP: #1433234)

  [ Michael Vogt ]
  * switch the default click chroot framework to ubuntu-sdk-14.04

 -- CI Train Bot <ci-train-bot@canonical.com>  Thu, 07 May 2015 14:47:11 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
 Build-Depends: debhelper (>= 9~), dh-autoreconf, intltool, python3:any (>= 3.2), python3-all:any, python3-setuptools, python3-apt, python3-debian, python3-gi, python3:any (>= 3.3) | python3-mock, pep8, python3-pep8, pyflakes, python3-sphinx, pkg-config, valac, gobject-introspection (>= 0.6.7), libgirepository1.0-dev (>= 0.6.7), libglib2.0-dev (>= 2.34), gir1.2-glib-2.0, libjson-glib-dev (>= 0.10), libgee-0.8-dev, libpackagekit-glib2-dev (>= 0.7.2), python3-coverage, python3-six, dh-systemd (>= 1.3)
 Vcs-Bzr: https://code.launchpad.net/~ubuntu-managed-branches/click/click
 Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-managed-branches/click/click/files
-X-Auto-Uploader: no-rewrite-version
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.2
 XS-Testsuite: autopkgtest

## click 0.4.43%2B16.04.20170613

=== debian/changelog ===
click (0.4.43+16.04.20170613-0ubuntu1) xenial; urgency=medium

  * Rename the python package this installs from click to click_package.
    (LP: #1693226)

 -- Kyle Fazzari <kyle@canonical.com>  Tue, 13 Jun 2017 17:14:46 +0000

click (0.4.43+16.04.20160203-0ubuntu2) xenial; urgency=medium

  * Fix python3-click-package -> python3-click Replaces version
    (LP: #1544776).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 12 Feb 2016 11:10:43 +0000

click (0.4.43+16.04.20160203-0ubuntu1) xenial; urgency=medium

  [ Colin Watson ]
  * Fix test skipping in build_core_apps integration tests.
  * Skip chroot integration tests on architectures that were not present in
    14.04.
  * Fix TestChroot.test_exists_no integration test to be more meaningful
    rather than just testing a command syntax error.
  * Rename python3-click back to its original name of python3-click-package
    to get it out of the way of PyPI's "click" package, conflicting with
    python3-click and python3-click-cli; this is unfortunate and
    non-compliant with the Python policy, but from that point of view the
    package that owns the name in the upstream packaging system ought to
    win.

  [ CI Train Bot ]
  * No-change rebuild.

 -- Colin Watson <cjwatson@canonical.com>  Wed, 03 Feb 2016 11:17:48 +0000

click (0.4.42+16.04.20151229-0ubuntu1) xenial; urgency=medium

  [ Colin Watson ]
  * chroot: Point debootstrap at ports.ubuntu.com for non-primary
    architectures.
  * Skip build_core_apps integration tests on architectures that lack
    support for native- or cross-compiling for armhf.

  [ CI Train Bot ]
  * No-change rebuild.

 -- Colin Watson <cjwatson@canonical.com>  Tue, 29 Dec 2015 01:36:51 +0000

click (0.4.41+16.04.20151211-0ubuntu1) xenial; urgency=medium

  [ Colin Watson ]
  * Fix spurious test_sync_without_user_db test failure.
  * Fix test failures under Python 2.
  * Forbid installing packages with data tarball members whose names do not
    start with "./" (LP: #1506467).
  * Take evasive action in case the conflicting "click" package has been
    installed locally from PyPI (LP: #1486841).
  * Drop use of apt_pkg from click.install, since it's no longer needed
    there (LP: #1510015).

  [ Dimitri John Ledkov ]
  * Require specific Click version, to avoid gi warnings that fail
    test-suite (LP: #1522608).
  * Set Vcs-* fields to the actual development branch.

  [ CI Train Bot ]
  * No-change rebuild.

 -- Colin Watson <cjwatson@canonical.com>  Fri, 11 Dec 2015 01:31:29 +0000

click (0.4.40+15.10.20151006-0ubuntu1.1) wily; urgency=medium

  * SECURITY UPDATE: fix privilege escalation via crafted data.tar.gz that
    can be used to install alternate security policy than what is defined
    - click/install.py: Forbid installing packages with data tarball members
      whose names do not start with "./". Patch thanks to Colin Watson.
    - CVE-2015-XXXX
    - LP: #1506467

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 15 Oct 2015 11:13:36 -0500

click (0.4.40+15.10.20151006-0ubuntu1) wily; urgency=medium

  [ Michael Vogt ]
  * Don't follow symlinks when stat()ing files. (LP: 1496976)

  [ Zoltán Balogh ]
  * Add and pin up the overlay PPA for vivid.

  [ Kyle Fazzari ]
  * Garbage collect old user registrations. (LP: #1479001)

  [ CI Train Bot ]
  * No-change rebuild.

 -- Kyle Fazzari <kyle@canonical.com>  Tue, 06 Oct 2015 19:44:52 +0000

## click 0.4.43+16.04.20160203

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Colin Watson <cjwatson@ubuntu.com>
 Standards-Version: 3.9.5
 Build-Depends: debhelper (>= 9~), dh-autoreconf, intltool, python3:any (>= 3.2), python3-all:any, python3-setuptools, python3-apt, python3-debian, python3-gi, python3:any (>= 3.3) | python3-mock, pep8, python3-pep8, pyflakes, python3-sphinx, pkg-config, valac, gobject-introspection (>= 0.6.7), libgirepository1.0-dev (>= 0.6.7), libglib2.0-dev (>= 2.34), gir1.2-glib-2.0, libjson-glib-dev (>= 0.10), libgee-0.8-dev, libpackagekit-glib2-dev (>= 0.7.2), python3-coverage, python3-six, dh-systemd (>= 1.3)
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-managed-branches/click/click
-Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-managed-branches/click/click/files
+Vcs-Bzr: https://code.launchpad.net/~click-hackers/click/devel
+Vcs-Browser: http://bazaar.launchpad.net/~click-hackers/click/devel/files
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.2
 XS-Testsuite: autopkgtest
@@ -13,7 +13,7 @@
 Package: click
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, python3-click (= ${binary:Version}), adduser
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, python3-click-package (= ${binary:Version}), adduser
 Recommends: click-apparmor
 Suggests: click-reviewers-tools (>= 0.9), ubuntu-app-launch-tools | upstart-app-launch-tools
 Conflicts: click-package
@@ -28,7 +28,7 @@
 Package: click-dev
 Architecture: any
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${perl:Depends}, python3-click (= ${binary:Version})
+Depends: ${misc:Depends}, ${perl:Depends}, python3-click-package (= ${binary:Version})
 Recommends: debootstrap, schroot, dpkg-dev
 Description: build Click packages
  Click is a simplified packaging format that installs in a separate part of
@@ -36,13 +36,12 @@
  .
  click-dev provides support for building these packages.
 
-Package: python3-click
+Package: python3-click-package
 Section: python
 Architecture: any
 Depends: ${misc:Depends}, ${python3:Depends}, gir1.2-click-0.4 (= ${binary:Version}), gir1.2-glib-2.0, python3-apt, python3-debian, python3-gi
-Conflicts: python3-click-package
-Replaces: python3-click-package
-Provides: python3-click-package
+Conflicts: python3-click, python3-click-cli
+Replaces: python3-click (<< 0.4.43)
 Description: Click packages (Python 3 interface)
  Click is a simplified packaging format that installs in a separate part of
  the file system, suitable for third-party applications.

=== debian/rules ===
#! /usr/bin/make -f

PACKAGEKIT := $(shell sh debian/packagekit-check)
ifeq ($(PACKAGEKIT),yes)
EXTRA_DH_OPTIONS :=
else
EXTRA_DH_OPTIONS := -Npackagekit-plugin-click
endif

# The advantages of -Wl,-Bsymbolic-functions are of limited value here, and
# they mean that the test suite's LD_PRELOAD tricks don't work properly.
export DEB_LDFLAGS_MAINT_STRIP := -Wl,-Bsymbolic-functions

%:
	dh $@ --with autoreconf,gir,python3,sphinxdoc,systemd \
		--buildsystem autoconf $(EXTRA_DH_OPTIONS)

PY3REQUESTED := $(shell py3versions -r)
PY3DEFAULT := $(shell py3versions -d)
# Run setup.py with the default python3 last so that the scripts use
# #!/usr/bin/python3 and not #!/usr/bin/python3.X.
PY3 := $(filter-out $(PY3DEFAULT),$(PY3REQUESTED)) python3

confflags := \
	--with-python-interpreters='$(PY3)' \
	--with-systemdsystemunitdir=/lib/systemd/system \
	--with-systemduserunitdir=/usr/lib/systemd/user
ifeq ($(PACKAGEKIT),no)
confflags += --disable-packagekit
endif

override_dh_autoreconf:
	dh_autoreconf -- ./autogen.sh

override_dh_auto_configure:
	dh_auto_configure -- $(confflags)

override_dh_auto_build:
	dh_auto_build
	$(MAKE) -C doc html man

override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) -C doc clean

PYTHON_INSTALL_FLAGS := \
	--force --root=$(CURDIR)/debian/tmp \
	--no-compile -O0 --install-layout=deb

override_dh_auto_install:
	dh_auto_install -- PYTHON_INSTALL_FLAGS='$(PYTHON_INSTALL_FLAGS)'
	rm -f debian/tmp/usr/lib/*/click/*.la

override_dh_install:
	dh_install -X .la --fail-missing
	DH_AUTOSCRIPTDIR=debhelper debhelper/dh_click --name=click-desktop

# Sphinx documentation is architecture-independent.
override_dh_sphinxdoc-arch:

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

=== debian/tests/control ===
Tests: run-tests.sh
Depends: @, @builddeps@, iputils-ping, click-dev, schroot, debootstrap, sudo, bzr, debsigs, debsig-verify, python3-six
Restrictions: needs-root allow-stderr

## click 0.4.43+16.04.20170613

=== debian/control ===
--- 
+++ 
@@ -40,7 +40,6 @@
 Section: python
 Architecture: any
 Depends: ${misc:Depends}, ${python3:Depends}, gir1.2-click-0.4 (= ${binary:Version}), gir1.2-glib-2.0, python3-apt, python3-debian, python3-gi
-Conflicts: python3-click, python3-click-cli
 Replaces: python3-click (<< 0.4.43)
 Description: Click packages (Python 3 interface)
  Click is a simplified packaging format that installs in a separate part of

## click 0.4.45.1+16.10.20160916

=== debian/changelog ===
click (0.4.45.1+16.10.20160916-0ubuntu1) yakkety; urgency=medium

  * Kill gpg-agent (if possible) after running debsigs in integration tests.
  * Copy integration test GPG keyring to a temporary directory so that the
    GPG agent socket name doesn't end up being too long.

 -- Colin Watson <cjwatson@canonical.com>  Fri, 16 Sep 2016 17:46:25 +0000

click (0.4.45+16.10.20160828.1-0ubuntu1) yakkety; urgency=medium

  * Emit more debugging information when libclickpreload/libgimockpreload
    fail.
  * Preload __xmknod rather than mknod (LP: #1615757).
  * Stop the test suite leaving spurious empty /tmp/gimock* directories
    around.
  * Remove stray blank line from click_package_install_hooks test preload
    annotations.
  * Link libgimockpreload properly against libclick and several other
    libraries, and use -Wl,--no-as-needed to stop the linker discarding
    references to libraries that will be used via dlsym.
  * Initialise real_* pointers in libgimockpreload more reliably.
  * Export click_get_user_home for the benefit of the test suite.
  * Fix click_get_user_home mocks to return bytes rather than text, avoiding
    obscure crashes in the test suite.
  * Fix builds on xenial and earlier: build-depending on
    libpackagekit-glib2-dev (...) | base-files isn't resolved properly by
    apt, but we can just build-depend on libpackagekit-glib2-dev and let the
    rest of the build machinery disable use of PackageKit if it's 1.0.0 or
    newer.

 -- Colin Watson <cjwatson@canonical.com>  Sun, 28 Aug 2016 21:00:53 +0000

click (0.4.44+16.10.20160811.1-0ubuntu1) yakkety; urgency=medium

  [ Colin Watson ]
  * Handle new policy URL in debsig-verify 0.15. (LP: #1608281)

 -- Timo Jyrinki <timo.jyrinki@canonical.com>  Thu, 11 Aug 2016 10:50:58 +0000

click (0.4.44+16.10.20160810.1-0ubuntu1) yakkety; urgency=medium

  * Add --disable-packagekit to the autopkgtests.

 -- Timo Jyrinki <timo.jyrinki@canonical.com>  Wed, 10 Aug 2016 12:36:49 +0000

click (0.4.44+16.10.20160810-0ubuntu1) yakkety; urgency=medium

  * Don't use @ in debian/tests/control since packagekit plugin is still
    in debian/control.

 -- Timo Jyrinki <timo.jyrinki@canonical.com>  Wed, 10 Aug 2016 08:21:34 +0000

click (0.4.44+16.10.20160809.1-0ubuntu1) yakkety; urgency=medium

  [ Colin Watson ]
  * Chase redirection for click.readthedocs.org -> click.readthedocs.io.

  [ Antti Kaijanmäki ]
  * As PK 1.0 does not support plugins anymore, drop the click plugin.
    (LP: #1470655, #1496292)

 -- Timo Jyrinki <timo.jyrinki@canonical.com>  Tue, 09 Aug 2016 11:22:15 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Colin Watson <cjwatson@ubuntu.com>
 Standards-Version: 3.9.5
-Build-Depends: debhelper (>= 9~), dh-autoreconf, intltool, python3:any (>= 3.2), python3-all:any, python3-setuptools, python3-apt, python3-debian, python3-gi, python3:any (>= 3.3) | python3-mock, pep8, python3-pep8, pyflakes, python3-sphinx, pkg-config, valac, gobject-introspection (>= 0.6.7), libgirepository1.0-dev (>= 0.6.7), libglib2.0-dev (>= 2.34), gir1.2-glib-2.0, libjson-glib-dev (>= 0.10), libgee-0.8-dev, libpackagekit-glib2-dev (>= 0.7.2), python3-coverage, python3-six, dh-systemd (>= 1.3)
+Build-Depends: debhelper (>= 9~), dh-autoreconf, intltool, python3:any (>= 3.2), python3-all:any, python3-setuptools, python3-apt, python3-debian, python3-gi, python3:any (>= 3.3) | python3-mock, pep8, python3-pep8, pyflakes, python3-sphinx, pkg-config, valac, gobject-introspection (>= 0.6.7), libgirepository1.0-dev (>= 0.6.7), libglib2.0-dev (>= 2.34), gir1.2-glib-2.0, libjson-glib-dev (>= 0.10), libgee-0.8-dev, libpackagekit-glib2-dev (>= 0.8.10), python3-coverage, python3-six, dh-systemd (>= 1.3)
 Vcs-Bzr: https://code.launchpad.net/~click-hackers/click/devel
 Vcs-Browser: http://bazaar.launchpad.net/~click-hackers/click/devel/files
 X-Python-Version: >= 2.7
@@ -40,6 +40,7 @@
 Section: python
 Architecture: any
 Depends: ${misc:Depends}, ${python3:Depends}, gir1.2-click-0.4 (= ${binary:Version}), gir1.2-glib-2.0, python3-apt, python3-debian, python3-gi
+Conflicts: python3-click, python3-click-cli
 Replaces: python3-click (<< 0.4.43)
 Description: Click packages (Python 3 interface)
  Click is a simplified packaging format that installs in a separate part of

## click 0.4.46+16.10.20170607.3

=== debian/changelog ===
click (0.4.46+16.10.20170607.3-0ubuntu1) yakkety; urgency=medium

  * Rename the python package this installs from click to click_package.
    (LP: #1693226)
  * Use the correct overlayfs module name for the chroot configuration.
    (LP: #1696402)

 -- Sergio Schvezov <sergio.schvezov@canonical.com>  Wed, 07 Jun 2017 18:53:16 +0000

## click 0.4.46+17.04.20170607.3

=== debian/changelog ===
click (0.4.46+17.04.20170607.3-0ubuntu1) zesty; urgency=medium

  * Rename the python package this installs from click to click_package.
    (LP: #1693226)
  * Use the correct overlayfs module name for the chroot configuration.
    (LP: #1696402)

 -- Sergio Schvezov <sergio.schvezov@canonical.com>  Wed, 07 Jun 2017 18:53:16 +0000

## click 0.4.46+17.10.20170602

=== debian/changelog ===
click (0.4.46+17.10.20170602-0ubuntu1) artful; urgency=medium

  * Rename the python package this installs from click to click_package.
    (LP: #1693226)

 -- Sergio Schvezov <sergio.schvezov@canonical.com>  Fri, 02 Jun 2017 19:59:04 +0000

## click 0.4.46+17.10.20170607

=== debian/changelog ===
click (0.4.46+17.10.20170607-0ubuntu1) artful; urgency=medium

  * Rename the python package this installs from click to click_package.
    (LP: #1693226)

 -- Sergio Schvezov <sergio.schvezov@canonical.com>  Wed, 07 Jun 2017 03:01:17 +0000

=== debian/control ===
--- 
+++ 
@@ -40,7 +40,6 @@
 Section: python
 Architecture: any
 Depends: ${misc:Depends}, ${python3:Depends}, gir1.2-click-0.4 (= ${binary:Version}), gir1.2-glib-2.0, python3-apt, python3-debian, python3-gi
-Conflicts: python3-click, python3-click-cli
 Replaces: python3-click (<< 0.4.43)
 Description: Click packages (Python 3 interface)
  Click is a simplified packaging format that installs in a separate part of

## click 0.4.46+17.10.20170607.2

=== debian/changelog ===
click (0.4.46+17.10.20170607.2-0ubuntu1) artful; urgency=medium

  * Rename the python package this installs from click to click_package.
    (LP: #1693226)
  * Use the correct overlayfs module name for the chroot configuration.
    (LP: #1696402)

 -- Sergio Schvezov <sergio.schvezov@canonical.com>  Wed, 07 Jun 2017 11:46:15 +0000

=== debian/tests/control ===
Tests: run-tests.sh
Depends: click, python3-click-package, libclick-0.4-dev, gir1.2-click-0.4, @builddeps@, iputils-ping, click-dev, schroot, debootstrap, sudo, bzr, debsigs, debsig-verify, python3-six
Restrictions: needs-root allow-stderr

## click 0.4.46+17.10.20170607.3

=== debian/changelog ===
click (0.4.46+17.10.20170607.3-0ubuntu1) artful; urgency=medium

  * Rename the python package this installs from click to click_package.
    (LP: #1693226)
  * Use the correct overlayfs module name for the chroot configuration.
    (LP: #1696402)

 -- Sergio Schvezov <sergio.schvezov@canonical.com>  Wed, 07 Jun 2017 18:53:16 +0000

=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
 Architecture: any
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${perl:Depends}, python3-click-package (= ${binary:Version})
-Recommends: debootstrap, schroot, dpkg-dev
+Recommends: debootstrap, schroot (>= 1.6.10-2~), dpkg-dev
 Description: build Click packages
  Click is a simplified packaging format that installs in a separate part of
  the file system, suitable for third-party applications.

## click 0.5.0

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/ClickPackages.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/ClickPackages.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/ClickPackages"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/ClickPackages"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
click (0.5.0-9) unstable; urgency=medium

  * debain/control:
    + B-Depend directly on python3-mock

 -- Marius Gripsgard <marius@ubports.com>  Mon, 02 Jan 2023 09:29:44 +0100

click (0.5.0-8) unstable; urgency=medium

  * Re-upload to unstable as is.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 20 Jun 2022 21:15:18 +0200

click (0.5.0-8~exp1) experimental; urgency=medium

  * Test-upload to experimental.

  * debian/control:
    + Bump Standards-Version: to 4.6.1. No changes needed.
    + Mark bin:pkg click-doc as Multi-Arch:foreign.
  * debian/patches:
    + Replace patch content in 0006_Fix-crash-on-ppc64el.patch by a proper fix
      by Adrian Bunk. Thanks for that!

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 18 Jun 2022 14:45:24 +0200

click (0.5.0-7) unstable; urgency=medium

  [ Marius Gripsgard ]
  * debian/patches:
    + Add 0006_Fix-crash-on-ppc64el.patch. A very odd way to fix FTBFS on
      ppc64el.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 16 Jun 2022 21:56:45 +0200

click (0.5.0-6) unstable; urgency=medium

  [ Marius Gripsgard ]
  * debian/patches:
    + Add 0004_fix-pyversion-check.patch: Fix Python version checking in
      click_package/install.py.
    + Add 0005_click-tests-Use-SHA256-digest-for-test-signing-click.patch.
      Fix failing deb-verify call.

  [ Mike Gabriel ]
  * debian/patches:
    + Replace 1002_configure-no-intltool-support-required.patch by official
      upstream patch 0003_Drop-remaining-translation-bits.patch.
  * debian/patches:
    + Add various patches related to running unit tests as root.
        0001_Re-enable-some-tests-that-were-skipped-due-to-CI-iss.patch
        0002_Require-dbus.service-for-click-user-hooks.service.patch
        1004_skip-test-ensure-ownership-quick-if-correct.patch (updated)
        1005_silence-gi-repository-import-warnings.patch
        1006_click-tempdir-own-by-user-daemon-if-tests-run-as-root.patch
        1009_fix-unit-tests-as-root.patch
        1010_fix-ensure-ownership.patch
        1011_fix-home-dir-in-integration-test.patch
        1013_pyflakes-fixes.patch
        1014_improve-check-for-overlayfs-kernel-module.patch
        1016_drop-chroot-integration-tests-deprecated-upstream.patch
        1017_drop_chroot-tests-deprecated-upstream.patch
        1018_0755-tempdir-permissions.patch
    + Re-enable previously skipped tests:
        1019a_reenable-user-tests.patch
        1019b_reenable-install-tests.patch
    + Add 1020_run-sphinx-build-with-LANG-C.patch. Don't run the
      debian/changelog date extraction hack in Sphinx's conf.py with a non-C
      locale.
    + Add 2001_tox-ini-only-use-versions-available-in-Debian.patch. Add recent
      Python3 versions, drop old Python2 and Python3 versions.
  * debian/click-doc.doc-base:
    + Add file.
  * debian/:
     Convert upstream's GPG private keys (historically shipped in debian/
     subfolders) to new format and provide them separately.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 09 Jun 2022 15:42:48 +0200

click (0.5.0-5) unstable; urgency=medium

  * debian/patches:
    + Add 1004_skip-test-ensure-ownership-quick-if-correct.patch. Skip unit
      test that started failing with Python 3.10. Issue has been reported
      upstream.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 02 Feb 2022 13:28:36 +0100

click (0.5.0-4) unstable; urgency=medium

  * d/t/control:
    + Add kmod to Depends: field.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 14 Dec 2021 20:09:42 +0100

click (0.5.0-3) unstable; urgency=medium

  * d/t/control:
    + Fix libclick-dev dependency.
    + Drop gir1.2-click-0.4, gets pulled-in with libclick-dev.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 08 Dec 2021 17:20:22 +0100

click (0.5.0-2) unstable; urgency=medium

  * Upload to unstable.

  * debian/control:
    + Add to B-D: python3-pip. Required since python3.10.
    + Bump Standards-Version: 4.6.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 22 Nov 2021 21:53:32 +0100

click (0.5.0-1) experimental; urgency=medium

  * Initial upload to Debian. (Closes: #986125).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 06 Apr 2021 21:00:47 +0200

=== debian/control ===
Source: click
Section: admin
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
 Marius Gripsgard <marius@ubports.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 gir1.2-glib-2.0,
 gobject-introspection (>= 0.6.7),
 libgee-0.8-dev,
 libgirepository1.0-dev (>= 0.6.7),
 libglib2.0-dev (>= 2.34),
 libjson-glib-dev (>= 0.10),
 pkg-config,
 pyflakes3,
 python3-all:any,
 python3-apt,
 python3-coverage,
 python3-debian,
 python3-gi,
 python3-pip,
 python3-pep8,
 python3-setuptools,
 python3-six,
 python3-sphinx,
 python3:any (>= 3.2),
 python3-mock,
 valac,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/development/core/click/
Vcs-Git: https://salsa.debian.org/ubports-team/click.git
Vcs-Browser: https://salsa.debian.org/ubports-team/click/

Package: click
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 adduser,
 python3-click-package (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends:
 click-apparmor,
Suggests:
 click-reviewers-tools (>= 0.9),
 lomiri-app-launch-tools,
Conflicts:
 click-package,
 packagekit-plugin-click,
Replaces:
 click-package,
 packagekit-plugin-click,
Provides:
 click-package,
 packagekit-plugin-click,
Description: tool for handling (and building) Click packages
 Click is a simplified packaging format that installs in a separate part of
 the file system, suitable for third-party applications.
 .
 This package provides common files, including the main click program.

Package: click-dev
Architecture: any
Multi-Arch: foreign
Depends:
 python3-click-package (= ${binary:Version}),
 ${misc:Depends},
 ${perl:Depends},
Recommends:
 debootstrap,
 dpkg-dev,
 schroot (>= 1.6.10-2~),
Description: build Click packages
 Click is a simplified packaging format that installs in a separate part of
 the file system, suitable for third-party applications.
 .
 click-dev provides support for building these packages.

Package: python3-click-package
Section: python
Architecture: any
Depends:
 gir1.2-click-0.4 (= ${binary:Version}),
 gir1.2-glib-2.0,
 python3-apt,
 python3-debian,
 python3-gi,
 ${misc:Depends},
 ${python3:Depends},
Replaces:
 python3-click (<< 0.4.43),
Description: Click packages (Python 3 interface)
 Click is a simplified packaging format that installs in a separate part of
 the file system, suitable for third-party applications.
 .
 This package provides Python 3 modules used by click, which may also be
 used directly.

Package: libclick-0.4-0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: run-time Click package management library
 Click is a simplified packaging format that installs in a separate part of
 the file system, suitable for third-party applications.
 .
 This package provides a shared library for managing Click packages.

Package: libclick-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 gir1.2-click-0.4 (= ${binary:Version}),
 libclick-0.4-0 (= ${binary:Version}),
 libglib2.0-dev,
 libjson-glib-dev,
 ${misc:Depends},
 ${shlibs:Depends},
Description: development files for Click package management library
 Click is a simplified packaging format that installs in a separate part of
 the file system, suitable for third-party applications.
 .
 This package provides development files needed to build programs for
 managing Click packages.

Package: gir1.2-click-0.4
Section: introspection
Architecture: any
Multi-Arch: same
Depends:
 libclick-0.4-0 (= ${binary:Version}),
 ${gir:Depends},
 ${misc:Depends},
Description: GIR bindings for Click package management library
 Click is a simplified packaging format that installs in a separate part of
 the file system, suitable for third-party applications.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.

Package: click-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Conflicts:
 click-package-doc,
Replaces:
 click-package-doc,
Provides:
 click-package-doc,
Description: Click packages (documentation)
 Click is a simplified packaging format that installs in a separate part of
 the file system, suitable for third-party applications.
 .
 This package provides documentation for click.

=== debian/rules ===
#! /usr/bin/make -f

NULL=

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# The advantages of -Wl,-Bsymbolic-functions are of limited value here, and
# they mean that the test suite's LD_PRELOAD tricks don't work properly.
export DEB_LDFLAGS_MAINT_STRIP := -Wl,-Bsymbolic-functions

%:
	dh $@ --with autoreconf,gir,python3,sphinxdoc \
		--buildsystem autoconf $(EXTRA_DH_OPTIONS)

PY3REQUESTED := $(shell py3versions -r)
PY3DEFAULT := $(shell py3versions -d)
# Run setup.py with the default python3 last so that the scripts use
# #!/usr/bin/python3 and not #!/usr/bin/python3.X.
PY3 := $(filter-out $(PY3DEFAULT),$(PY3REQUESTED)) python3

confflags := \
	--with-python-interpreters='$(PY3)' \
	--with-systemdsystemunitdir=/lib/systemd/system \
	--with-systemduserunitdir=/usr/lib/systemd/user \
	--with-default-root=/var/lib/clickpkg \
	$(NULL)

override_dh_autoreconf:
	dh_autoreconf -- ./autogen.sh

override_dh_auto_configure:
	dh_auto_configure -- $(confflags)

override_dh_auto_build:
	dh_auto_build
	$(MAKE) -C doc subst DEFAULT_ROOT=/var/lib/clickpkg
	$(MAKE) -C doc html man

override_dh_auto_clean:
	dh_auto_clean
	if [ -f doc/Makefile ]; then $(MAKE) -C doc subst-clean; fi
	if [ -f doc/Makefile ]; then $(MAKE) -C doc clean; fi

PYTHON_INSTALL_FLAGS := \
	--force --root=$(CURDIR)/debian/tmp \
	--no-compile -O0 --install-layout=deb

override_dh_auto_install:
	dh_auto_install -- PYTHON_INSTALL_FLAGS='$(PYTHON_INSTALL_FLAGS)'
	rm -f debian/tmp/usr/lib/*/click/*.la

override_dh_install:
	rm debian/tmp/usr/lib/*/libclick-0.4.la
	dh_install
	DH_AUTOSCRIPTDIR=debhelper debhelper/dh_click --name=click-desktop

override_dh_missing:
	dh_missing --fail-missing

# Sphinx documentation is architecture-independent.
override_dh_sphinxdoc-arch:

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/watch ===
version=4
https://gitlab.com/ubports/development/core/click/tags .*/click-(\d\S+)\.tar\.gz
